2018-12-17 07:10 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005303Talerotherpublic2018-09-15 11:06
ReporterMarcello Stanisci 
Assigned ToMarcello Stanisci 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version0.5 
Target Version0.6Fixed in Version0.6 
Summary0005303: Resume the back-office site.
DescriptionThe back-office can be re-deployed. There is a _slight_ dependency on 0004930,
but nothing that prevents it from being put on-line again. Various landing pages,
home pages should also restore their links to the back-office site.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
parent of 0004930resolvedMarcello Stanisci Render 'conflict' errors due to /track operations. 
+Relationships

-Notes

~0012981

Marcello Stanisci (manager)

Last edited: 2018-06-05 18:23

View 2 revisions

When pressing the Esc button from the /track/transfer
page, the logic should (make the popup disappear AND)
stop the ongoing operation.

~0012982

Marcello Stanisci (manager)

Dropping the suggestion from the last note: it complicates things quite
unnecessarily.

~0013033

Marcello Stanisci (manager)

Deployed, but manual testing is needed before linking it in the other sites.

~0013040

Marcello Stanisci (manager)

Did manual tests under normal circumstances, but now need to conduct "twisty" tests before closing this issue. Note, twisting between the merchant and the exchange during /track operations is very bad now: the merchant uses to store
into the database the result of a track operation, and so it uses the cached
result for any future request on the same input.

There should be some way of forcing the merchant to query the exchange _every_
time, or some other tecnique that makes it easier to produce twister-based corner cases (like 424 Failed dependency)

~0013116

Marcello Stanisci (manager)

Resumed at commit 26ac0148dec4b1b5906.. (landing.git),
and from all the other sites having the left-side pane
with all Taler sites links.
+Notes

-Issue History
Date Modified Username Field Change
2018-03-27 11:59 Marcello Stanisci New Issue
2018-03-27 17:27 Christian Grothoff Assigned To => Marcello Stanisci
2018-03-27 17:27 Christian Grothoff Severity minor => feature
2018-03-27 17:27 Christian Grothoff Status new => assigned
2018-06-05 18:21 Marcello Stanisci Note Added: 0012981
2018-06-05 18:23 Marcello Stanisci Note Edited: 0012981 View Revisions
2018-06-06 11:50 Marcello Stanisci Note Added: 0012982
2018-06-08 19:35 Marcello Stanisci Note Added: 0013033
2018-06-14 15:13 Marcello Stanisci Note Added: 0013040
2018-06-26 15:25 Marcello Stanisci Relationship added parent of 0004930
2018-06-29 12:53 Marcello Stanisci Status assigned => resolved
2018-06-29 12:53 Marcello Stanisci Resolution open => fixed
2018-06-29 12:53 Marcello Stanisci Note Added: 0013116
2018-09-15 11:06 Christian Grothoff Fixed in Version => 0.6
+Issue History